@CLS
@echo off
@echo.
@echo ######################
@echo ### Set PR START!! ###
@echo ######################

set /a N=0

:LOOP1
MegaCli -AdpAllInfo -a%N% > tmp%N%.log

:NOADP1
find "Failed to get CpController object." tmp%N%.log > Nul
if errorlevel 1 goto CHECK1
goto EXIT1

:CHECK1
find "FW Version         : 1.12" tmp%N%.log > Nul
if errorlevel 1 goto SET1
goto TARGET1

:TARGET1
MegaCli -AdpPR -Info -a%N% > pr%N%.log
find "Patrol Read Execution Delay: 228 hours" pr%N%.log > Nul
if errorlevel 1 goto PR1

@echo Adapter %N%: Already set!!! >> PRRESULT.txt
goto SET1

:PR1

MegaCli -AdpPR -enblman -a%N%
if errorlevel 1 goto NG
MegaCli -AdpPR -stop -a%N%
if errorlevel 1 goto NG
MegaCli -AdpPR -setdelay 228 -a%N%
if errorlevel 1 goto NG
MegaCli -AdpPR -enblauto -a%N%
if errorlevel 1 goto NG
@echo Adapter %N%: Set PR COMPLETED!!! >> PRRESULT.txt

goto SET1

:NG
@echo Adapter %N%: Set PR Failed >> PRRESULT.txt
goto EXIT

:SET1
set /a N=N+1
goto LOOP1

:EXIT1
CLS
@echo ### SET PR Results ###
@echo.
Type PRRESULT.txt
@echo.

pause

DEL PRRESULT.txt > nul
DEL tmp0.log > nul
DEL tmp1.log > nul
DEL tmp2.log > nul
DEL tmp3.log > nul
DEL pr0.log > nul
DEL pr1.log > nul
DEL pr2.log > nul
DEL pr3.log > nul
DEL CmdTool.log > nul
DEL MegaSAS.log > nul